Bug 807380 - problems AF9015 DVB-T USB2.0 stick
problems AF9015 DVB-T USB2.0 stick
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 11:52 EDT by daniel de baerdemaeker
Modified: 2012-06-27 00:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 00:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description daniel de baerdemaeker 2012-03-27 11:52:34 EDT
Description of problem:


Version-Release number of selected component (if applicable):
since kernel 3.3.0-4.fc16.i686.PAE

How reproducible:
always

Steps to Reproduce:
1.in kernel 3.3.0-4.fc16.i686.PAE when yuo plug in teh usb-stick
2.
3.
  
Actual results:
Mar 26 20:24:01 laptop1 kernel: [  334.483238] af9013: firmware version:4.95.0.0
Mar 26 20:24:01 laptop1 kernel: [  334.512245] DVB: registering adapter 0 fronte
nd 0 (Afatech AF9013 DVB-T)...
Mar 26 20:24:01 laptop1 kernel: [  334.518236] tda18218: NXP TDA18218HN successf
ully identified.
Mar 26 20:24:01 laptop1 kernel: [  334.524250] Registered IR keymap rc-empty
Mar 26 20:24:01 laptop1 kernel: [  334.524712] input: IR-receiver inside an USB 
DVB receiver as /devices/pci0000:00/0000:00:1d.1/usb2/2-2/rc/rc3/input13
Mar 26 20:24:01 laptop1 kernel: [  334.525792] rc3: IR-receiver inside an USB DV
B receiver as /devices/pci0000:00/0000:00:1d.1/usb2/2-2/rc/rc3
Mar 26 20:24:01 laptop1 kernel: [  334.525806] dvb-usb: schedule remote query in
terval to 500 msecs.
Mar 26 20:24:01 laptop1 kernel: [  334.525817] dvb-usb: Afatech AF9015 DVB-T USB
2.0 stick successfully initialized and connected.
Mar 26 20:24:01 laptop1 kernel: [  334.579691] input: Afatech DVB-T 2 as /device
s/pci0000:00/0000:00:1d.1/usb2/2-2/2-2:1.1/input/input14
Mar 26 20:24:01 laptop1 kernel: [  334.581267] generic-usb 0003:15A4:9016.0004: input,hidraw0: USB HID v1.01 Keyboard [Afatech DVB-T 2] on usb-0000:00:1d.1-2/input1
Mar 26 20:24:01 laptop1 mtp-probe: checking bus 2, device 5: "/sys/devices/pci0000:00/0000:00:1d.1/usb2/2-2"
Mar 26 20:24:01 laptop1 mtp-probe: bus: 2, device: 5 was not an MTP device

No /dev/dvb created, so not possible to play tv

Expected results:
creation of /dev/dvb/adapter0

Additional info:

in 
3.2.10-3.fc16.i686.PAE 
it works 


Mar 27 16:39:42 laptop1 kernel: [   28.227782] tda18218: NXP TDA18218HN successf
ully identified.
Mar 27 16:39:42 laptop1 kernel: [   28.239763] Registered IR keymap rc-empty
Mar 27 16:39:42 laptop1 kernel: [   28.239944] input: IR-receiver inside an USB 
DVB receiver as /devices/pci0000:00/0000:00:1d.1/usb2/2-2/rc/rc0/input8
Mar 27 16:39:42 laptop1 kernel: [   28.240275] rc0: IR-receiver inside an USB DVB receiver as /devices/pci0000:00/0000:00:1d.1/usb2/2-2/rc/rc0
Mar 27 16:39:42 laptop1 kernel: [   28.240281] dvb-usb: schedule remote query interval to 500 msecs.
Mar 27 16:39:42 laptop1 kernel: [   28.240288] dvb-usb: Afatech AF9015 DVB-T USB2.0 stick successfully initialized and connected.
Mar 27 16:39:42 laptop1 kernel: [   28.306099] usbcore: registered new interface driver dvb_usb_af9015
Comment 1 Peter Robinson 2012-06-26 10:02:46 EDT
This is a kernel issue, not a dvb-apps issue. Is it still an issue with the latest kernel-3.4.2-1.fc16 kernel?
Comment 2 daniel de baerdemaeker 2012-06-26 12:59:09 EDT
in this kernel it is fixed,
I get a /dev/dvb adapter
able to watch tv with vlc not wit cafeine, but that's another problem

Note You need to log in before you can comment on or make changes to this bug.